| helics 3.6.1

Public Member Functions | List of all members
helicscpp::CloningFilter Class Reference

`#include <Filter.hpp>`

Inheritance diagram for helicscpp::CloningFilter:

## Public Member Functions
| CloningFilter (HelicsFilter hfilt) HELICS_NOTHROW
| CloningFilter () HELICS_NOTHROW
| CloningFilter (const CloningFilter &filter)
CloningFilter & | operator= (const CloningFilter &filter)
void | addDeliveryEndpoint (const std::string &deliveryEndpoint)
void | removeDeliveryEndpoint (const std::string &deliveryEndpoint)
Public Member Functions inherited from helicscpp::Filter
| Filter (HelicsFilter hfilt) HELICS_NOTHROW
| Filter () HELICS_NOTHROW
| Filter (const Filter &filter)
Filter & | operator= (const Filter &filter)
| operator HelicsFilter () const
HelicsFilter | baseObject () const
bool | isValid () const
const char * | getName () const
void | set (const std::string &property, double val)
void | setString (const std::string &property, const std::string &val)
double | getProperty (const std::string &property)
const char * | getString (const std::string &property)
void | addDestinationTarget (const std::string &dest)
void | addSourceTarget (const std::string &source)
void | removeTarget (const std::string &dest)
const char * | getInfo () const
void | setInfo (const std::string &info)
const char * | getTag (const std::string &tagname) const
void | setTag (const std::string &tagname, const std::string &tagvalue)
void | setOption (int32_t option, int32_t value=1)
int32_t | getOption (int32_t option)
void | setCallback (HelicsMessage(*filtCall)(HelicsMessage message, void *userData), void *userData)

## Additional Inherited Members
Protected Attributes inherited from helicscpp::Filter
HelicsFilter | filt
| the reference to the underlying publication

## Detailed Description

cloning filter extends some operations on filters

## Constructor & Destructor Documentation

## ◆ CloningFilter() [1/3]

helicscpp::CloningFilter::CloningFilter | ( | HelicsFilter | hfilt | ) |
| inline explicit

construct from underlying filter object

## ◆ CloningFilter() [2/3]

helicscpp::CloningFilter::CloningFilter | ( |  | ) |
| inline

default constructor

## ◆ CloningFilter() [3/3]

helicscpp::CloningFilter::CloningFilter | ( | const CloningFilter & | filter | ) |
| inline

copy constructor

## Member Function Documentation

## ◆ addDeliveryEndpoint()

void helicscpp::CloningFilter::addDeliveryEndpoint | ( | const std::string & | deliveryEndpoint | ) |
| inline

add a delivery endpoint to a cloning filter

all cloned messages are sent to the delivery address(es)

References helicscpp::Filter::filt, and helicsFilterAddDeliveryEndpoint().

## ◆ operator=()

CloningFilter& helicscpp::CloningFilter::operator= | ( | const CloningFilter & | filter | ) |
| inline

copy assignment

References helicscpp::Filter::operator=().

## ◆ removeDeliveryEndpoint()

void helicscpp::CloningFilter::removeDeliveryEndpoint | ( | const std::string & | deliveryEndpoint | ) |
| inline

remove a delivery destination from a cloning filter

References helicscpp::Filter::filt, and helicsFilterRemoveDeliveryEndpoint().

The documentation for this class was generated from the following file:

- Filter.hpp